import { customerFetch, ResponseDataEntity } from '.';
import { LoginInfoVo } from './baseClass';

export class LoginParams {
  /** 登陆标识 */
  token?: string;
  /** 账号 */
  loginAccount?: string;
  /** 密码 */
  passWord?: string;
}
export const appLogin = (data: LoginParams) =>
  customerFetch({
    url: '/app/customer/login',
    data: data,
  });

export class PwdParams {
  /** 账号 */
  loginAccount: string;
  /** 密码 */
  password: string;
  /** 验证码 */
  verification: string;
}
export const changePwdByCellphone = (data: PwdParams) =>
  customerFetch({
    url: `/app/customer/apwd/${data.loginAccount}/${data.password}/${
      data.verification
    }`,
    method: 'PUT',
  });
